<?php

namespace App\Models;

class ChannelManagerPropertyMapping extends BaseModel
{

    protected $table = 'channel_manager_property_mapping';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    protected $hidden = [];

    public function channelManagerRoomRate()
    {
        return $this->hasMany("App\Models\ChannelManagerPropertyRateMapping", 'channel_manager_property_mapping_id', 'id')
            ->select(['id','channel_manager_property_mapping_id','property_room_rate_mapping_id','channel_manager_room_id', 'channel_manager_room_rate_id','included_occupancy']);
    }

    public function property(){
        return $this->hasOne('App\Models\Property','id', 'property_id')
            ->select(['id', 'name','country','destination_id','property_type_id','status']);
    }
}
